Bug 519070 - Don't mention "incomplete" when kdump is successful
Summary: Don't mention "incomplete" when kdump is successful
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools
Version: 5.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 5.5
Assignee: Neil Horman
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 20:58 UTC by Guy Streeter
Modified: 2018-10-20 01:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-25 18:15:26 UTC


Attachments (Terms of Use)

Description Guy Streeter 2009-08-24 20:58:23 UTC
They see the message

"The dumpfile is saved to /mnt///127.0.0.1-2009-07-30-12:48:23/vmcore-incomplete"

on a successful kdump. They are concerned that this may make customers think the kdump failed, and result in service calls.

Comment 1 Neil Horman 2009-08-25 01:15:21 UTC
Well, we've had 4 releases, and i'm not sure we've seen that many support calls on this, certainly we've not had any that have made it past L1 support, so I'm not sure this is a big deal.  I don't really see how this is happening either, since we don't print this directly from the initramfs.  What is their kdump.conf?

Comment 2 Qian Cai 2009-08-25 03:27:32 UTC
Neil, I believe this relates to this fix going into RHEL5.4 kexec-tools,

  Bug 466436 -  [5.3][RFE] Makedumpfile Error Messages

By changing from "--message-level 1" to the default level, the intermittent messages are displayed in the screen like the above. Then, vmcore-incomplete will be moved to vmcore.

Comment 4 Neil Horman 2009-08-25 18:15:26 UTC
yeah, sorry, theres not much I can do here.  That message level change was made to reflect a desire by other customers to get a better idea of what makedumpfile was doing.

I can't revert that, since it will break the other request

I can't really suppress that one message because its internal to makedumpfile, and if theres one thing people want to know, its what file makedumpfile is saving to.

Given that I've not heard lots of complaints about this, and that with the change in the makedumpfile message level, I made a corresponding change to the same kdump.conf so users could manually select their message level, I think we just need to close this as a wontfix and let support explain the option to customers.


Note You need to log in before you can comment on or make changes to this bug.